<?php

namespace Drupal\bl\TwigExtension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

/**
 * Listing Page helper functions.
 */
class ListingPage extends AbstractExtension  {

  /**
   * {@inheritdoc}
   */
  public function getFunctions() {
    return [
      new TwigFunction('getBackLink', [$this, 'getBackLink']),
    ];
  }

  /**
   * Get Listing page backlink.
   *
   * @param string $bundle
   *   Node bunble name.
   * @param string|null $lang_id
   *   Lang id name.
   *
   * @return string
   *   Returns backlink for configuration.
   */
  public static function getBackLink(string $bundle, string $lang_id = '') {
    $service = \Drupal::service('bl');
    return $service->getBackLink($bundle, $lang_id);
  }

}
